<script>
import Order from '@/Components/Order.vue';
import ResponsiveNavLink from "@/Components/UI/ResponsiveNavLink.vue";

export default {
  components: {ResponsiveNavLink, Order},
  props: {
    // orders_from_site: {default: Array},
    orders_from_DB: {default: Array},
  },
  setup() {
  }
}

</script>

<template>
  <div>
    <div class="max-w-7xl mx-auto py-10 sm:px-6 lg:px-8">
      <h2 class="font-semibold text-xl text-gray-800 leading-tight">
        Orders from onliner
      </h2>

      <hr>
      <div>
        <ResponsiveNavLink :href="route('dashboard')">Back</ResponsiveNavLink>
      </div>

      <hr>

      <h2>orders_from_DB</h2>

      <table>
        <thead>
        <tr>
          <td>№</td>
          <td>ID</td>
          <td>Title</td>
          <td>Description</td>
          <td>Created</td>
          <td>Expired</td>
          <td>City</td>
          <td>Offers</td>
          <td>Price</td>
        </tr>
        </thead>
        <tbody>
        <Order :table=true :orders="orders_from_DB"/>
        </tbody>
      </table>

<!--
      <hr>

      <h2>orders_from_site</h2>

      <table>
        <thead>
        <tr>
          <td>№</td>
          <td>ID</td>
          <td>Title</td>
          <td>Description</td>
          <td>Created</td>
          <td>Expired</td>
          <td>City</td>
          <td>Offers</td>
          <td>Price</td>
        </tr>
        </thead>
        <tbody>
        <Order :table=true :orders="orders_from_site"/>
        </tbody>
      </table>
-->
    </div>
  </div>
</template>

<style></style>